/***Epée de fer, utilisée pour casser les pots ou contre le boss de feu***/

if (hitBlock != null) 
{
	if(world.getBlockID(hitBlock.x,hitBlock.y,hitBlock.z) == 31) // Si c'est une haute herbe
	{
		world.setBlockID(hitBlock.x,hitBlock.y,hitBlock.z,0);
		sound.playSound3D("sound.bush",hitBlock.x,hitBlock.y,hitBlock.z); // Coupe l'herbe et joue un son
		
		var rand = Math.floor(Math.random() *38); // Sélection des objets à looter
		switch (rand) 
		{
		case 0:
			player.dropItem(Item(262)); // Flèche
		case 1:
			player.dropItem(Item(289)); // Mana
		case 2:
		case 3:
		case 4:
		case 5:
		case 6:
	
		case 7:
			player.dropItem(Item(266)); // Rubis vert
			break;
		case 8:
			player.dropItem(Item(264)); // Rubis bleu
			break; 
		}
		itemSearch = player.getEntitiesWithinRange(0.2);
		for (var i = 0; i < itemSearch.length; i++) 
		{
			var ent = itemSearch[i];
			if (ent.getClassType() == "Item") {
				ent.setPosition(hitBlock.x + 0.5, hitBlock.y + 0.5, hitBlock.z + 0.5);
			}   
		}
	}
	
	if(world.getBlockID(hitBlock.x,hitBlock.y,hitBlock.z) == 207 && world.getMetadata(hitBlock.x,hitBlock.y,hitBlock.z) == 11) // Si c'est un pot
	{
		world.setBlockID(hitBlock.x,hitBlock.y,hitBlock.z,0);
		sound.playSound3D("sound.pot_shatter",hitBlock.x,hitBlock.y,hitBlock.z); // Détruit le pot et joue un son
		
		var rand = Math.floor(Math.random() *10); // Sélection des objets à looter
		switch (rand) 
		{
		case 0:
		case 1:
			player.dropItem(Item(262)); // Flèche
			player.dropItem(Item(262));
			player.dropItem(Item(262));
			player.dropItem(Item(262));
			player.dropItem(Item(262));
			break;
		case 2:
		case 3:
			player.dropItem(Item(289)); // Mana
			player.dropItem(Item(289));
			player.dropItem(Item(289));
			player.dropItem(Item(289));
			player.dropItem(Item(289));
			break;
		case 4:
		case 5:
		case 6:	
		case 7:
			player.dropItem(Item(266)); // Rubis vert
			break;
		case 8:
			player.dropItem(Item(264)); // Rubis bleu
			break; 
		case 9 :
			player.dropItem(Item(266));
			player.dropItem(Item(266));
			player.dropItem(Item(266));
			break;
		}
		itemSearch = player.getEntitiesWithinRange(0.2);
		for (var i = 0; i < itemSearch.length; i++) 
		{
			var ent = itemSearch[i];
			if (ent.getClassType() == "Item") {
				ent.setPosition(hitBlock.x + 0.5, hitBlock.y + 0.5, hitBlock.z + 0.5);
			}   
		}
	}
	
	/*-----------Activation des Crystals lors du combat contre le boss de feu-----------*/
	/*----------------------------------------------------------------------------------*/
	if(world.getBlockID(hitBlock.x,hitBlock.y,hitBlock.z) == 206 && world.getMetadata(hitBlock.x,hitBlock.y,hitBlock.z) == 1) // Si on tape le crystal
	{
		timeDelay = 0;
		saveCooBlockX = hitBlock.x; // Enregistre les coordonnées du crystal
		saveCooBlockY = hitBlock.y;
		saveCooBlockZ = hitBlock.z;		
		world.triggerArea(hitBlock.x-4, hitBlock.y, hitBlock.z-4, hitBlock.x+4, hitBlock.y, hitBlock.z+4); // Active les triggers derrière le mur
		world.setBlockIDAndMetadata(hitBlock.x,hitBlock.y,hitBlock.z,206,2); // Remplace le bloc
		sound.playSound3D("sound.crystalswitch",hitBlock.x,hitBlock.y,hitBlock.z);
		
		pinv = player.getInventory();
		swordSlot = pinv.getSlotContainingItem(272); // Enchante l'épée
		pinv.emptySlot(swordSlot);
		pinv.setSlot(swordSlot,Item(283));
		
		if(naviText == 0) // Message unique de Navi
		{
			sound.playSoundUI("sound.navilook");
			chat.print("Navi : Look ! You're sword has been enchanted for a few time.");
			chat.print("You should be able to hurt the boss with that.");
			naviText = 1;
		}
		tempsEnchant = delayCrystal*TICKS_PER_SECOND; // Définit le temps d'enchantement de l'épée pour afficher le compteur
		time.sleep(delayCrystal); // Attend le nombre de secondes avant de désenchanter automatiquement l'épée
		
		if(allowCrystal == 1) // Permet d'éviter de bug en cas de mort
		{
			if(pinv.getSlotContainingItem(283)>=0) // Désenchante l'épée
			{
				swordSlot = pinv.getSlotContainingItem(283);
				pinv.emptySlot(swordSlot);
				pinv.setSlot(swordSlot,Item(272));
			}
			
			delayCrystal = delayCrystal + 3; // Augmente le temps d'enchantement
		}
		allowCrystal = 1;
	}
}
